# Uses of Interface
org.bukkit.plugin.PluginAwareness

Packages that use PluginAwareness
Package
Description
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of PluginAwareness in org.bukkit.plugin

Classes in org.bukkit.plugin that implement PluginAwareness
Modifier and Type
Class
Description
`static enum`
`PluginAwareness.Flags`
Each entry here represents a particular plugin's awareness.
Methods in org.bukkit.plugin that return types with arguments of type PluginAwareness
Modifier and Type
Method
Description
`@NotNull Set<PluginAwareness>`
PluginDescriptionFile.`getAwareness()`
Gives a set of every `PluginAwareness` for a plugin.